.flex {
  display: flex;
}
.flex-inline {
  display: inline-flex;
  flex-direction: row;
}
.md-flex-row2column,
.lg-flex-row2column {
  flex-direction: column;
}

.items-center {
  align-items: center;
}

@include media-breakpoint-up(md) {
  .md-flex-row2column {
    flex-direction: row;
  }
  .md-flex {
    display: flex;
  }
  .md-flex-gutter {
    margin-left: -$grid-gutter-width/2;
    margin-right: -$grid-gutter-width/2;
    & > * {
      margin-left: $grid-gutter-width/2;
      margin-right: $grid-gutter-width/2;
    }
  }
}

@include media-breakpoint-up(lg) {
  .lg-flex-row2column {
    flex-direction: row;
  }
  .lg-flex {
    display: flex;
  }
  .lg-flex-gutter {
    margin-left: -$grid-gutter-width/2;
    margin-right: -$grid-gutter-width/2;
    & > * {
      margin-left: $grid-gutter-width/2;
      margin-right: $grid-gutter-width/2;
    }
  }
}

@for $i from 1 through 10 {
  .flex-#{$i} {
    flex: $i;
  }
}

.lg-up-show {
  display: none;
}
@include media-breakpoint-up(lg) {
  .lg-up-show {
    display: block;
  }
}
.bg-center-contain-nr {
  background-repeat: no-repeat;
  background-position: center;
  background-size: contain;
}

.overflow-hidden {
  overflow: hidden;
}

.relative-full {
  position: relative;
  width: 100%;
  height: 100%;
}

.abs-full {
  position: absolute;
  left: 0;
  width: 100%;
  top: 0;
  height: 100%;
}

.reset-list {
  list-style: none;
  margin: 0;
  padding: 0;
}

.reset-btn {
  background: none;
  border: none;
  appearance: none;
  padding: 0;
}

.pointer {
  cursor: pointer;
}

.skm-primary-btn {
  background-color: $color-skm-red;
  color: $color-white;
  width: 116px;
  height: 43px;
  font-size: 16px;
  border: none;
  border-radius: 2px;

  &:focus {
    outline: none;
  }
}

.skm-btn {
  width: 255px;
  line-height: 48px;
  text-align: center;
  @extend .reset-btn;
  border-radius: 2px;
  cursor: pointer;
  display: inline-block;
  transition: all 0.3s;
  position: relative;

  &.disabled {
    opacity: 0.3;
    pointer-events: none;
  }

  &.active {
    pointer-events: none;

    &.skm-primary-btn {
      color: $color-skm-red;

      &:hover,
      &:active {
        color: $color-dark-red;
      }
    }

    &:after {
      opacity: 1;
    }
  }

  &:after {
    content: "";
    @include spin;
    transition: opacity 0.3s;
    opacity: 0;
  }

  @include media-breakpoint-up(md) {
    width: 315px;
  }
}

.m-container-no-gutter {
  @include media-breakpoint-down(sm) {
    padding-left: 0;
    padding-right: 0;

    .row {
      margin-left: 0;
      margin-right: 0;
    }

    .col-1,
    .col-2,
    .col-3,
    .col-4,
    .col-5,
    .col-6,
    .col-7,
    .col-8,
    .col-9,
    .col-10,
    .col-11,
    .col-12,
    .col {
      padding-left: 0;
      padding-right: 0;
    }
  }
}

.skm-primary-btn {
  color: $color-white;
  background-color: $color-skm-red;

  &:hover,
  &:active {
    color: $color-white;
    background-color: $color-dark-red;
  }
}

.skm-secondary-btn {
  color: $color-white;
  background-color: $color-pigeon-grey;

  &:hover,
  &:active {
    color: $color-white;
    background-color: $color-primary-grey;
  }
}

.c-skm-red {
  color: $color-skm-red;
}

.c-pigeon-grey {
  color: $color-pigeon-grey;
}

.c-secondary-black {
  color: $color-secondary-black;
}

.c-blue {
  color: $color-dodger-blue;
}

.sorry-box {
  padding: 20px;
  border: 1px solid $color-skm-red;
  background-color: #ffe6e6;
  color: $color-skm-red;
}

.loading {
  .lp {
    display: block;
    position: relative;
    white-space: nowrap;
    overflow: hidden;

    &:before {
      content: "a";
      opacity: 0;
    }

    &:after {
      content: "";
      display: block;
      position: absolute;
      left: 0;
      top: 0;
      width: 100%;
      height: 100%;
      background: linear-gradient(
        to right,
        #f3f4f5 8%,
        #ebeef1 18%,
        #f3f4f5 33%
      );
      background-size: 800px 1000px;
      animation: lpBg 1.5s forwards infinite linear;
    }
    &.lp--large:after {
      background-size: 2000px 1000px;
      animation: lpBgLarge 1.5s forwards infinite linear;
    }

    &.xs {
      width: 68px;
    }
    &.sm {
      width: 108px;
    }
    &.md {
      width: 172px;
    }
    &.lg {
      width: 257px;
    }
  }
}

@keyframes lpBg {
  0% {
    background-position: -468px 0;
  }
  100% {
    background-position: 468px 0;
  }
}

@keyframes lpBgLarge {
  0% {
    background-position: -1000px 0;
  }
  100% {
    background-position: 1000px 0;
  }
}

.color-red {
  color: $color-skm-red;
}
